classification
Title: Fix test_tools hangs
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: 16903 Superseder:
Assigned To: serhiy.storchaka Nosy List: jkloth, serhiy.storchaka, vstinner
Priority: normal Keywords: patch

Created on 2013-01-29 18:39 by jkloth, last changed 2013-02-04 15:55 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_tools.diff jkloth, 2013-01-29 18:39 review
Messages (4)
msg180925 - (view) Author: Jeremy Kloth (jkloth) * Date: 2013-01-29 18:39
Attached is a patch to test_tools that gets it back to a run-able state.
msg180965 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-30 06:37
On what platform it hangs?

Note that communicate() currently works only with bytes on 3.2 (issue16903).
msg180973 - (view) Author: Jeremy Kloth (jkloth) * Date: 2013-01-30 10:21
It hangs on both my Windows buildbot and development machine.

The patch is tested and works correctly on Windows.
msg181339 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-02-04 15:55
Committed changeset 4be538a058a8. Thank you for the patch.
History
Date User Action Args
2013-02-04 15:55:19serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg181339

stage: patch review -> resolved
2013-01-30 13:31:46serhiy.storchakasetassignee: serhiy.storchaka
dependencies: + subprocess.Popen.communicate with universal_newlines=True doesn't accept strings on 3.2
type: behavior
stage: patch review
2013-01-30 12:28:24vstinnersetnosy: + vstinner
2013-01-30 10:21:59jklothsetmessages: + msg180973
2013-01-30 06:37:07serhiy.storchakasetmessages: + msg180965
2013-01-29 18:39:37jklothcreate